CMSIS-DSP: arm_fir_instance_f64 Struct Reference

| CMSIS-DSP CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
arm_fir_instance_f64 Struct Reference

Instance structure for the floating-point FIR filter.

## Data Fields

uint16_t | numTaps
float64_t * | pState
const float64_t * | pCoeffs

## Field Documentation

uint16_t numTaps

number of filter coefficients in the filter.

const float64_t* pCoeffs

points to the coefficient array. The array is of length numTaps.

float64_t* pState

points to the state variable array. The array is of length numTaps+blockSize-1.